Change a user's email (internal)

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.usehearsay.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "integrations MCP server": {
    "url": "https://docs.usehearsay.com/mcp"
  }
}

Close
POST /admin/user/update-email

Changes the email of the user from oldEmail to newEmail (lower-cased), also updating the contact email of organizations they own that used the old address. Returns 400 when the two are equal or the new one is taken, and 404 when no user has the old one. Super admin only.

application/json

Body Required

  • oldEmail string Required
  • newEmail string Required

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • data object Required
      Hide data attributes Show data attributes object
      • message string Required
      • isSuccess boolean Required
    • statusCode number Required
    • timestamp string(date-time) Required
POST /admin/user/update-email
curl \
 --request POST 'http://api.example.com/admin/user/update-email' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{
  "oldEmail": "string",
  "newEmail": "string"
}'
Request examples
{
  "oldEmail": "string",
  "newEmail": "string"
}
Response examples (200)
{
  "data": {
    "message": "Done",
    "isSuccess": true
  },
  "statusCode": 200,
  "timestamp": "2026-01-15T10:15:00.000Z"
}